Freeciv-3.1: player_spaceship Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
player_spaceship Struct Reference

`#include <spaceship.h>`

## Data Fields

int | structurals
int | components
int | modules
bv_spaceship_structure | structure
int | fuel
int | propulsion
int | habitation
int | life_support
int | solar_panels
enum spaceship_state | state
int | launch_year
int | population
int | mass
double | support_rate
double | energy_rate
double | success_rate
double | travel_time

## Detailed Description

Definition at line 94 of file spaceship.h.

## Field Documentation

## ◆ components

int player_spaceship::components

Definition at line 97 of file spaceship.h.

Referenced by can_player_build_improvement_direct(), city_build_building(), dai_manage_spaceship(), do_spaceship_place(), handle_spaceship_info(), next_spaceship_component(), send_spaceship_info(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), spaceship_calc_derived(), and spaceship_init().

## ◆ energy_rate

double player_spaceship::energy_rate

Definition at line 114 of file spaceship.h.

Referenced by get_spaceship_descr(), handle_spaceship_info(), send_spaceship_info(), spaceship_calc_derived(), and spaceship_init().

## ◆ fuel

int player_spaceship::fuel

Definition at line 102 of file spaceship.h.

Referenced by do_spaceship_place(), handle_spaceship_info(), next_spaceship_component(), put_spaceship(), send_spaceship_info(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), spaceship_calc_derived(), and spaceship_init().

## ◆ habitation

int player_spaceship::habitation

Definition at line 104 of file spaceship.h.

Referenced by do_spaceship_place(), handle_spaceship_info(), next_spaceship_component(), put_spaceship(), send_spaceship_info(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), spaceship_calc_derived(), and spaceship_init().

## ◆ launch_year

int player_spaceship::launch_year

Definition at line 109 of file spaceship.h.

Referenced by get_spaceship_descr(), handle_spaceship_info(), handle_spaceship_launch(), player_leading_spacerace(), send_spaceship_info(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), spaceship_arrival(), and spaceship_init().

## ◆ life_support

int player_spaceship::life_support

Definition at line 105 of file spaceship.h.

Referenced by do_spaceship_place(), handle_spaceship_info(), next_spaceship_component(), put_spaceship(), send_spaceship_info(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), spaceship_calc_derived(), and spaceship_init().

## ◆ mass

int player_spaceship::mass

Definition at line 112 of file spaceship.h.

Referenced by get_spaceship_descr(), handle_spaceship_info(), send_spaceship_info(), spaceship_calc_derived(), and spaceship_init().

## ◆ modules

int player_spaceship::modules

Definition at line 98 of file spaceship.h.

Referenced by can_player_build_improvement_direct(), city_build_building(), dai_manage_spaceship(), do_spaceship_place(), handle_spaceship_info(), next_spaceship_component(), send_spaceship_info(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), spaceship_calc_derived(), and spaceship_init().

## ◆ population

int player_spaceship::population

Definition at line 111 of file spaceship.h.

Referenced by get_spaceship_descr(), get_spaceship_score(), handle_spaceship_info(), send_spaceship_info(), spaceship_calc_derived(), and spaceship_init().

## ◆ propulsion

int player_spaceship::propulsion

Definition at line 103 of file spaceship.h.

Referenced by do_spaceship_place(), get_spaceship_descr(), handle_spaceship_info(), next_spaceship_component(), put_spaceship(), send_spaceship_info(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), spaceship_calc_derived(), and spaceship_init().

## ◆ solar_panels

int player_spaceship::solar_panels

Definition at line 106 of file spaceship.h.

Referenced by do_spaceship_place(), handle_spaceship_info(), next_spaceship_component(), put_spaceship(), send_spaceship_info(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), spaceship_calc_derived(), and spaceship_init().

## ◆ state

enum spaceship_state player_spaceship::state

Definition at line 108 of file spaceship.h.

Referenced by achievement_check(), calc_civ_score(), can_player_build_improvement_direct(), city_build_building(), dai_diplomacy_actions(), dai_manage_spaceship(), dai_war_desire(), do_spaceship_place(), get_spaceship_descr(), handle_spaceship_info(), handle_spaceship_launch(), player_leading_spacerace(), put_spaceship(), rank_spaceship_arrival(), refresh_spaceship_dialog(), send_spaceship_info(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), spaceship_arrived(), spaceship_init(), unit_conquer_city(), unit_do_destroy_city(), update_players_menu(), and ss_report::update_report().

## ◆ structurals

int player_spaceship::structurals

Definition at line 96 of file spaceship.h.

Referenced by can_player_build_improvement_direct(), city_build_building(), dai_manage_spaceship(), do_spaceship_place(), handle_spaceship_info(), next_spaceship_component(), send_spaceship_info(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), spaceship_calc_derived(), and spaceship_init().

## ◆ structure

bv_spaceship_structure player_spaceship::structure

Definition at line 100 of file spaceship.h.

Referenced by do_spaceship_place(), handle_spaceship_info(), next_spaceship_component(), num_spaceship_structurals_placed(), put_spaceship(), send_spaceship_info(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), spaceship_calc_derived(), and spaceship_init().

## ◆ success_rate

double player_spaceship::success_rate

Definition at line 115 of file spaceship.h.

Referenced by get_spaceship_descr(), get_spaceship_score(), handle_spaceship_info(), handle_spaceship_launch(), refresh_spaceship_dialog(), send_spaceship_info(), spaceship_calc_derived(), spaceship_init(), and ss_report::update_report().

## ◆ support_rate

double player_spaceship::support_rate

Definition at line 113 of file spaceship.h.

Referenced by get_spaceship_descr(), handle_spaceship_info(), send_spaceship_info(), spaceship_calc_derived(), and spaceship_init().

## ◆ travel_time

double player_spaceship::travel_time

Definition at line 116 of file spaceship.h.

Referenced by get_spaceship_descr(), handle_spaceship_info(), handle_spaceship_launch(), player_leading_spacerace(), send_spaceship_info(), spaceship_arrival(), spaceship_calc_derived(), and spaceship_init().